ObertObert
Tenant

Update Tenant

Update the current tenant's name and mark setup as completed.

PATCH
/api/tenant
AuthorizationBearer <token>

In: header

Header Parameters

x-tenant-id?string|null
name?string|null
logo_url?string|null
company_description?string|null
problem_solved?string|null
comment_agent_config?|null
known_competitors?|null
linkedin_company_page_url?string|null
remove_company_page?boolean
Defaultfalse

Response Body

application/json

application/json

curl -X PATCH "https://api.obert.io/api/tenant" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "logo_url": "string",
  "setup_completed": true,
  "company_description": "string",
  "problem_solved": "string",
  "comment_agent_config": {
    "enabled": false,
    "tone": "string",
    "persona_description": "string",
    "topics_to_focus_on": [],
    "custom_instructions": "string",
    "max_length": 0
  },
  "linkedin_company_page_id": "string",
  "linkedin_company_page_name": "string",
  "known_competitors": [
    {
      "name": "string",
      "type": "string",
      "linkedin_url": "string"
    }
  ],
  "has_heyreach": false,
  "has_instantly": false,
  "has_clay": false,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}